using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Globalization;
using System.Threading;
using System.Reflection;
using System.Resources;
public partial class Transactions_TA_UI_Transactions_BonusLeaveList : Base.BasePage
{
    ResourceManager rm;
    protected override void Page_Load(object sender, EventArgs e)
    {
        // session checking
        base.Page_Load(sender, e);
        // get the culture info to set the language
        CultureInfo ci;
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        // LoadStrings Function fills the Label from the Resource File
        LoadStrings(ci);
    }
    private void LoadStrings(CultureInfo ci)
    {
        lbl_HeaderBonusLeave.Text = rm.GetString("Transaction_BonusLeave", ci);
        lbl_BonusLeaveAllocation.Text = rm.GetString("Transaction_BonusLeave_Title", ci);
        lbl_BonusLeaveApproval.Text = rm.GetString("Transaction_BonusLeave_Approval", ci);
    }
}
